// Copyright © Selmo Technology GmbH. All Rights Reserved

using Novus.Shared.Types.Result;

namespace SelmoStudio.Hmi.Server.TestSetup.Services
{
    public interface IProcessDataDbTestSetupService
    {
        public Task<string> CreateTestTable(IEnumerable<Guid> ids);

        public Task<string> CreateTestInserts(int count, IEnumerable<Guid> ids);

        public Task<OperationResult<string>> CreateProcessValueTableSetup(int countEntries, IEnumerable<Guid> ids);

        public List<(DateTimeOffset timestamp, float[] values)> GetProcessValues(IEnumerable<Guid> ids);
    }
}